// OWLCHILD.CPP
// used only by being included into "REPORTER.CPP".

#include <owl\mdi.h>

class TRptMDIChild : public TMDIChild {
public:
	TRptMDIChild (HWND* pPrevuWnd,TMDIClient& client,LPCSTR title=0,
					TWindow* cl=0,TModule* m=0)
		: TMDIChild (client,title,cl,0,m) {pPrevWnd=pPrevuWnd;}
	void EvSize (UINT sizeType, TSize& size);
protected:
	virtual LPSTR GetClassName () {return HCRPEChildClassName;}
	HWND* pPrevWnd;
	DECLARE_RESPONSE_TABLE(TRptMDIChild);
};
DEFINE_RESPONSE_TABLE1(TRptMDIChild,TMDIChild)
	EV_WM_SIZE,
END_RESPONSE_TABLE;
void TRptMDIChild::EvSize (UINT sizeType, TSize& size) {
	::MoveWindow(*pPrevWnd,0,0,size.cx,size.cy,1);
	DefaultProcessing();
}

HWND HReporter::WindowAttr::CreateMDIChild (HWND hClient,LPSTR title) {
	TMDIClient* client = TYPESAFE_DOWNCAST(GetWindowPtr(hClient),TMDIClient);
	if (!client) return 0;
	TRptMDIChild* child = new TRptMDIChild(&hWindow,*client,Title(title));
	CHECK(child);
	child->Create();
	return child->HWindow;
}
